# Module: Mocha::Integration::TestUnit::Adapter

Includes:
  API

Defined in:
  lib/mocha/integration/test_unit/adapter.rb

## Overview

Integrates Mocha into recent versions of Test::Unit.

See the source code for an example of how to integrate Mocha into a test library.

## Method Summary

### Methods included from API

#mock, #sequence, #states, #stub, #stub_everything

### Methods included from Hooks

#mocha_setup, #mocha_teardown, #mocha_verify

### Methods included from ParameterMatchers

#Not, #all_of, #any_of, #any_parameters, #anything, #equals, #equivalent_uri, #has_entries, #has_entry, #has_key, #has_keys, #has_value, #includes, #instance_of, #is_a, #kind_of, #optionally, #regexp_matches, #responds_with, #yaml_equivalent